## org.jfree.util
Interface Configuration

All Superinterfaces:
  java.lang.Cloneable, java.io.Serializable

All Known Subinterfaces:
  ExtendedConfiguration

All Known Implementing Classes:
  DefaultConfiguration, ExtendedConfigurationWrapper, FrontendDefaultHandler, Parser, RootXmlReadHandler

    public interface Configuration

extends java.io.Serializable, java.lang.Cloneable

A simple query interface for a configuration.

Author:
  Thomas Morgner

Method Summary
`java.lang.Object` `clone()` Returns a clone of the object.
`java.util.Iterator` `findPropertyKeys(java.lang.String prefix)` Returns all keys with the given prefix.
`java.util.Enumeration` `getConfigProperties()` Returns the configuration properties.
`java.lang.String` `getConfigProperty(java.lang.String key)` Returns the configuration property with the specified key.
`java.lang.String` `getConfigProperty(java.lang.String key, java.lang.String defaultValue)` Returns the configuration property with the specified key (or the specified default value if there is no such property).

Method Detail

### getConfigProperty

    java.lang.String getConfigProperty(java.lang.String key)

  Returns the configuration property with the specified key.

  Parameters:
    `key` - the property key.
  Returns:
    the property value.

### getConfigProperty

    java.lang.String getConfigProperty(java.lang.String key,
                                       java.lang.String defaultValue)

  Returns the configuration property with the specified key (or the specified default value if there is no such property).

  If the property is not defined in this configuration, the code will lookup the property in the parent configuration.

  Parameters:
    `key` - the property key.
    `defaultValue` - the default value.
  Returns:
    the property value.

### findPropertyKeys

    java.util.Iterator findPropertyKeys(java.lang.String prefix)

  Returns all keys with the given prefix.

  Parameters:
    `prefix` - the prefix
  Returns:
    the iterator containing all keys with that prefix

### getConfigProperties

    java.util.Enumeration getConfigProperties()

  Returns the configuration properties.

  Returns:
    The configuration properties.

### clone

    java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the object.

  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if cloning is not supported for some reason.